=== getopt/Makefile ===
# GetOpt Makefile

CC=gcc
#FLAGS=-g -DDEBUG -Wall
#FLAGS=-g -pg
FLAGS=-O6 -s -Wall
CFLAGS=$(FLAGS)
LDFLAGS=$(FLAGS)
SHELL=`which bash`
LIB=libgetopt.a
OBJS=getopt.o getopt1.o
RANLIB=ranlib

all: $(LIB)

$(LIB): $(OBJS)
	rm -f $(LIB)
	$(AR) -qv $(LIB) $(OBJS)
	$(RANLIB) $(LIB)

new: clean all

clean:
	rm -f *.o

nuke: clean
	rm -f $(LIB)

install: all
