=== jax/Makefile ===
CC=gcc -O -s
#CC=gcc -g
INC=-I/usr/openwin/include/X11 -I/usr/X11/include/X11
LIB=-L/usr/openwin/lib/X11 -L/usr/X11/lib
ARCHIVE=*.c *.h Makefile *.1 *.man

all: libjax.a

jax.o : jax.c jax.h
	$(CC) -c jax.c $(INC)

libjax.a: jax.o
	rm -f libjax.a
	ar -q libjax.a jax.o

clean:
	rm -f *.o

nuke:
	rm -f *.o *.a

tgz:
	tar -cvf - $(ARCHIVE) | gzip -c > ../jax.tgz
