## imwheel 1.0.0pre12

=== debian/changelog ===
imwheel (1.0.0pre12-14) unstable; urgency=medium

  * QA upload.
  * debian/control: added word 'mouse' to description.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 05 Feb 2022 01:11:23 -0300

imwheel (1.0.0pre12-13) unstable; urgency=medium

  * QA upload.
  * Migrations:
      - debian/copyright to 1.0 format.
      - debian/rules to new (reduced) format.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/clean: created to remove a file generated from the build process and
    forgotten by distclean.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Added Vcs-* fields.
      - Bumped Standards-Version to 4.6.0.
      - Removed no longer needed build dependencies dpkg-dev and quilt.
  * debian/imwheel.install: renamed to install.
  * debian/imwheel.prerm:
      - Renamed to prerm.
      - Explicitly add 'set -e'.
  * debian/NEWS: removed all asterisks, as asked by lintian.
  * debian/patches/:
      - Added a numeric prefix to all patch names.
      - build-system-update: dropped. This patch was created in 2010 (revision
        1.0.0pre12-9) to update the autotools files. However, currently, the
        dh_autoreconf do it automatically. Also, this patch will generate a
        FTBFS with DH 13.
      - 070_fix-spelling-errors.patch: created to fix some spelling errors in
        final binary and in manpage.
      - 080_fix-FTCBFS.patch: created to fix a FTCBFS because upstream's
        configure.in uses AC_CHECK_FILE to check for source files. Thanks to
        Helmut Grohne <helmut@subdivi.de>. (Closes: #901986)
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to provide a superficial CI test.
  * debian/upstream/metadata: created.
  * debian/watch: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 04 Feb 2022 17:27:20 -0300

imwheel (1.0.0pre12-12) unstable; urgency=low

  * Orphaning the package.

 -- Christopher Martin <chrsmrtn@debian.org>  Sun, 26 Oct 2014 15:53:50 -0400

imwheel (1.0.0pre12-11) unstable; urgency=low

  * Revert mistaken punctuation changes in the last upload made to
    /etc/X11/Xsession.d/60imwheel_start-imwheel and
    /etc/X11/imwheel/startup.conf (except that 60imwheel_start-imwheel
    will still kill already-running instances of imwheel by default
    when launching). (Closes: #763850)

 -- Christopher Martin <chrsmrtn@debian.org>  Fri, 03 Oct 2014 09:20:30 -0400

imwheel (1.0.0pre12-10) unstable; urgency=low

  * Remove needless quotes around variables in
    /etc/X11/Xsession.d/60imwheel_start-imwheel and in
    /etc/X11/imwheel/startup.conf. If imwheel stops working after
    upgrading, check startup.conf and remove/adjust extra punctuation.
  * Tweak 60imwheel_start-imwheel so that imwheel kills
    already-running instances of itself by default when it launches.
  * Bump standards-version to 3.9.6, and debhelper compatibility level to 9.
    Adjust the build-deps accordingly.
  * Re-jig debian/rules to enable hardening compile flags, and also clean-up
    the same file to address minor lintian warnings.
  * Don't install long-irrelevant 'extra' binaries in /usr/lib/imwheel
    (e.g. mdump). (Closes: #716176)

 -- Christopher Martin <chrsmrtn@debian.org>  Sun, 21 Sep 2014 09:48:27 -0400

imwheel (1.0.0pre12-9) unstable; urgency=low

  * Bump standards-version to 3.8.4, and debhelper compatibility level to 7.
  * Switch to dpkg-source 3.0 (quilt) format. Add quilt to build-deps, and
    convert patches to the quilt system, documenting them as per DEP 3.
    Tweak debian/rules to handle quilt patching/unpatching as well.
  * Add (misc:Depends} to debian/control.
  * Drop 12 year old EMACS setup commentary from /usr/share/docs/imwheel.

 -- Christopher Martin <chrsmrtn@debian.org>  Sat, 20 Feb 2010 09:19:53 -0500

imwheel (1.0.0pre12-8) unstable; urgency=low

  * Update standards-version to 3.7.3, and debhelper compatibility level
    to 6. No changes.
  * Move Homepage from the package description to a regular
    debian/control field.
  * Don't ignore distclean errors in debian/rules.
  * Don't ship the BUGS file, as it's out of date. Also drop the README,
    as the manpage is more current and has all of the same information.

  * Change the default button spec for clarity. Since X now considers
    everyone to have a horizontal mouse wheel when numbering buttons, we now
    skip over four buttons before we get to the thumb buttons. Update the
    README.Debian to match, and add a NEWS.Debian entry to explain.
  * Revamp the default imwheelrc and manpage, mainly cleaning up and deleting
    references to deprecated options. Also edit these options out of the
    ouput of 'imwheel -h'.

 -- Christopher Martin <chrsmrtn@debian.org>  Mon, 28 Jan 2008 19:26:41 -0500

imwheel (1.0.0pre12-7) unstable; urgency=low

  * Improve the last patch slightly, by once again allowing imwheel to be
    started without the '-b' option. Many people don't use this option
    since they are happy with the default ("4 5 6 7 8 9"), and therefore the
    last upload caused imwheel to fail to start for them. Now the old
    behaviour is restored, though if you do use the '-b' option, you
    still need to add the spaces between the numbers. (Closes: #359685)

 -- Christopher Martin <chrsmrtn@debian.org>  Tue, 28 Mar 2006 10:41:24 -0500

imwheel (1.0.0pre12-6) unstable; urgency=low

  * Apply a patch from Thomas Liebetraut <thomas@tommie-lie.de> that
    allows imwheel to control more than 9 buttons. This requires that
    the button spec format be changed, however. Each button number must
    now be separated by a space (so "0089" becomes "0 0 8 9"). Update
    the documentation to reflect this change. Add a NEWS.Debian to
    explain the changes in more detail. (Closes: #203006)


