=== debian/control ===
Source: imwheel
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), libx11-dev, libxmu-dev, libxtst-dev
Standards-Version: 4.6.0
Homepage: http://imwheel.sourceforge.net
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/imwheel
Vcs-Git: https://salsa.debian.org/debian/imwheel.git

Package: imwheel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: add support to non-standard buttons on mouse in Linux
 Many mice have side or "thumb" buttons that see limited use in Linux,
 as well as a wheel that is not used by many older applications.
 .
 IMWheel supports these non-standard buttons and/or wheel operations
 by allowing the user to map their input to specific key combinations
 depending on the application in use.
