=== debian/tests/control ===
Test-Command: imwheel --help
Restrictions: superficial
