=== debian/watch ===
version=4
http://sf.net/imwheel/ imwheel-(\d\S+)\.tar\.(?:bz2|gz|xz)
